- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sf_snapshot_schedule_manager – Manage SolidFire snapshot schedules

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | This Module has been replaced
Alternative: | please use na_elementsw_snapshot_schedule

## Synopsis

- Create, destroy, or update accounts on SolidFire

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - / required |  | Name for the snapshot schedule.
password - / required |  | Password for the specified user. aliases: pass
paused - |  | Pause / Resume a schedule.
recurring - |  | Should the schedule recur?
retention - |  | Retention period for the snapshot. Format is 'HH:mm:ss'.
schedule_id - |  | The schedule ID for the schedule that you want to update or delete.
snapshot_name - |  | Name for the created snapshots.
starting_date - |  | Starting date for the schedule. Required when `state=present`. Please use two '-' in the above format, or you may see an error- TypeError, is not JSON serializable description. Format: `2016--12--01T00:00:00Z`
state - / required | Choices: present absent | Whether the specified schedule should exist or not.
time_interval_days - | Default: 1 | Time interval in days.
time_interval_hours - | Default: 0 | Time interval in hours.
time_interval_minutes - | Default: 0 | Time interval in minutes.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
volumes - |  | Volume IDs that you want to set the snapshot schedule for. At least 1 volume ID is required for creating a new schedule. required when `state=present`

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Snapshot schedule
      sf_snapshot_schedule_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        name: Schedule_A
        time_interval_days: 1
        starting_date: 2016--12--01T00:00:00Z
        volumes: 7

    - name: Update Snapshot schedule
      sf_snapshot_schedule_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: present
        schedule_id: 6
        recurring: True
        snapshot_name: AnsibleSnapshots

    - name: Delete Snapshot schedule
      sf_snapshot_schedule_manager:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"
        state: absent
        schedule_id: 6

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
schedule_id string | success | Schedule ID of the newly created schedule

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.